Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Grid is a feature-rich data grid component for displaying data in a tabular format. Its wide range of functionalities includes data binding, editing, Excel-like filtering, custom sorting, grouping, row reordering, freezing rows and columns, aggregating rows, and exporting to Excel, CSV, and PDF formats.


Why choose Syncfusion Essential Studio® Angular Grid?

A high performance Angular Grid.

High performance

Well thought out efforts, and focuses mainly on fast paced performance to load millions of records in just a second.

Angular Grid seamless data binding.

Seamless data binding

Bind data seamlessly with various local and remote data sources such as JSON, OData, WCF, and RESTful web services with the help of data manager.

Angular Grid adapts to any resolution.

Adapts to any resolution

DataGrid has a highly responsive layout and an optimized design for desktops, touch screens, and smart phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

Angular flexible editable table.

Flexible editing

The Angular Grid performs create, read, update, and delete operations (CRUD) more easily with a list of business objects or remote data service with the help of a data manager.

Angular Grid create your own template designs.

Create your own template designs

Allows users to create custom user experiences in the Angular Grid based on their application needs using a wide range of template options.

Angular Grid customizable themes.

Attractive customizable themes

Cutting-edge design with 5+ built-in themes such as Fluent, Tailwind CSS, Bootstrap, Material, Fabric, and more. Utilize the online Theme Studio tool to customize themes easily.

Angular Grid exporting and printing.

Easy export and printing

Export the Data Grid in various file formats, including Excel, PDF, and CSV. Print all the rows, regardless of the number of pages, as well as the currently viewed page.

Angular Grid globalization and localization.

Globalization and localization

Enables users from different locales to use them by formatting dates, currency, and numbering to suit preferences.


Angular DataGrid Code Example

Easily get started with the Angular DataGrid using a few simple lines of HTML and TS code, as demonstrated below. Also explore our Angular DataGrid Example, which shows you how to render and configure a DataGrid in Angular.

  1. <div class="control-section">
  2. <ejs-grid [dataSource]='data' height='350'>
  3. <e-columns>
  4. <e-column field='OrderID' headerText='Order ID' width='120' textAlign='Right'/>
  5. <e-column field='CustomerName' headerText='Customer Name' width='150'/>
  6. <e-column field='OrderDate' headerText='Order Date' width='130' format="yMd" textAlign='Right'/>
  7. <e-column field='Freight' headerText='Freight' width='120' format='C2' textAlign='Right'/>
  8. <e-column field='ShippedDate' headerText='Shipped Date' width='130' format="yMd" textAlign='Right'/>
  9. <e-column field='ShipCountry' headerText='Ship Country' width='150'/>
  10. </e-columns>
  11. </ejs-grid>
  12. </div>
  1. import { Component, OnInit } from '@angular/core';
  2. import { orderDetails } from './data';
  3.  
  4. @Component({
  5. selector: 'ej2-grid-container',
  6. templateUrl: 'default.html'
  7. })
  8. export class DefaultComponent implements OnInit {
  9. public data: Object[] = [];
  10.  
  11. ngOnInit(): void {
  12. this.data = orderDetails;
  13. }
  14. }

Angular Data Grid skeleton loading indicator.

Skeleton loading indicator

The Data Grid shows the Shimmer effect as a loading indicator while fetching data and binding it to the grid during initial rendering, refreshing, or after performing grid actions like sorting, filtering, grouping, and more. The data grid offers two types of loading indicator effects: spinner and shimmer.


Adaptive UI layout

The Data Grid user interface is customized and redesigned for great views and usability on small screens. Its features include filter, sort, search, column chooser, column menu, pager dropdown, and edit dialogs that are adaptive to the screen size and render row elements in a vertical direction.

Angular Data Grid Adaptive UI Layout.


Angular Grid column.

Column

Columns define the schema of the data source in the Data Grid. It supports formatting, auto-generating columns, column definitions, freezing rows and columns, column spanning, text wrapping, column chooser, column menu, and other features.


Paging

Paging is used to view a segment of data from the assigned data source. The Angular Data Grid offers a built-in pager UI with options to customize its entire UI. It also has an on-demand paging mode for effective data retrieval from remote web services.

Angular Grid paging.


Angular Grid sorting.

Sorting

Sort rows either in ascending or descending order against a column by simply clicking the header. Sort multiple columns’ data by holding the Ctrl key + header click. In addition, define your own custom sorting logic based on the application needs.


Filtering

Filtering helps view particular or related records that meet a given criteria in the data grid. The data grid supports various filter types, including powerful Excel-like filters. Choose the appropriate filter type, define your own custom filtering logic, and customize the filtering UI based on the application’s needs. Diacritic characters can also be filtered.

Angular Grid filtering.


Angular Grid selection.

Selection

Select rows or cells using the checkbox or by simply clicking them. Select more than one row or cell by holding Ctrl, Shift, or Command, or programmatically.


Editing

The Angular Data Grid supports create, read, update, and delete operations (CRUD). In addition to built-in editor components to edit a particular column value, custom editor components can be created using templates according to the application’s needs. With the help of a data manager, you can perform editing operations with array collection or remote data service.

Angular Editable Table.


Angular Data Grid grouping.

Grouping

Group rows to display the data in an organized hierarchical structure in ascending or descending order to facilitate easier expansion and collapse of records. There is an option to group records of the desired column by simple drag and drop of that column in an interactive drop area.


Aggregation

Easily visualize the aggregates of the Data Grid column values using the summary option. Aggregates can be customized to show their value in individual summary rows, individual group summary rows, or group caption rows.

Angular Grid Aggregation.


Angular DataGrid with freeze rows and columns.

Frozen rows and columns

Frozen rows and columns are visible at the top and on the left, right, both, or fixed position, respectively, making the remaining grid content scrollable. This feature is mainly used to compare cell values.


The Angular Data Grid header has to be in a fixed position when scrolling the document vertically to visualize the grid content along with the column header.

Angular Grid sticky header.


Angular Grid row drag and drop.

Row drag and drop

The Angular Grid allows users to drag and drop rows to another DataGrid or custom component. Users can also drag and drop rows within the same DataGrid using the drag icon and transfer rows between different groups.


Master-detail Grid

Angular Master Detail Grid is a use-case scenario in which a record’s details are viewed in a separate data grid by clicking a particular row.

Angular master detail grid.


State management in Angular Grid.

State management

The state management in the Angular Data Grid component allows you to maintain the grid’s state even after a browser refresh or when navigating to a different page within the same browser session. This feature is especially beneficial for retaining the grid’s configuration and data following a page reload.


Live update

The DataGrid updates live data in its cells at specific time intervals. These updates occur without causing any lag or slowdown, ensuring that the system remains highly responsive and efficient.

Live update with Angular Grid.


Additional features

Angular Grid with row height.

Row height

Row height is a major factor when displaying the number of records in the viewport, and it is easily customizable based on the application’s UI requirements. It is also possible to set row height conditionally.

Copy to clipboard from Grid/Data Grid.

Copy to clipboard

The clipboard allows users to copy data from selected rows or cells into it. The Ctrl+C and Ctrl+Shift+H key combinations copy data with and without headers, respectively.

Angular Grid with context menu.

Context menu

Performs various actions in a Data Grid using the popup menu that appears when the cell, header, or pager is right-clicked. In addition to built-in default menu items, custom context menu items can be added.

Width and height in Angular Grid.

Width and height

Set the width and height properties to change the size of the data grid. When the content overflows the grid element, horizontal and vertical scrollbars will appear. To fill the data grid’s parent container, simply set the height and width to 100%.

Angular Grid with stacked headers.

Stacked headers

Stacked headers allow grouping and visualizing column headers in a stacked manner. The number of columns that can be stacked is unlimited. Perform all Data Grid actions even when the columns are stacked.


Accessibility

Keyboard navigation in Angular Grid.

Keyboard navigation

The Angular Grid component ensures that every cell is accessible using the keyboard. Major features like sort, select, and edit can be performed using keyboard commands alone; no mouse interaction is required. This helps in creating highly accessible applications using this component.

Accessibility and screen reader support in Angular Grid.

Screen reader

The Angular Data Grid view has complete WAI-ARIA accessibility support. Its UI includes high-contrast visual elements that help visually impaired people to have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Show right-to-left language in Angular Grid.

Right to left (RTL)

Right-to-left rendering allows displaying the text and layout of the Data Grid from right to left. This improves the user experience and accessibility for RTL languages.


Mobile-optimized and touch-friendly

The Data Grid component improves usability and provides an optimized and responsive design for desktops, touchscreens, and phones across all operating systems, including iOS, Android, and Windows.

Touch support in Angular Data Grid.

Touch support

User-friendly touch gestures and an interactive UI design provide the best user experience. All Data Grid features work on touch devices with zero configuration.

Responsive pager UI in Angular Grid.

Responsive pager

The Data Grid pager acts intelligently and changes its complete UI responsively based on the dimension. Its optimized design provides the best UI interaction on different devices.


Angular version compatibility

With continuous improvement in Angular versions, the Angular Data Grid is kept up to date to make it compatible with versions starting from 4 to the latest version.

DataGrid Angular version compatibility.

Other supported frameworks

The DataGrid is also available for the Blazor, React, JavaScript, and Vue frameworks. Explore its platform-specific options through the following links:

Supported browsers

The Angular Data Grid works well with all modern web browsers, including Chrome, Firefox, Edge, Safari, and Opera.

Supported browsers in Angular DataGrid.

90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

The Syncfusion DataGrid is the best Angular Data Grid which offers the following features:

We do not sell the Angular DataGrid separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular DataGrid. The price of the team license starts at $395 per month for 5 developers and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular Grid demo, which demonstrates how to render and configure the Grid.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular DataGrid, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their DataGrid component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Recent activities in Angular DataGrid tutorials and blogs

The Angular DataGrid tutorial videos and blog posts will guide you in building your first app with Angular components. They provide problem-solving strategies, describe features and functionalities, announce new feature releases, explain best practices, and showcase example scenarios. Explore our latest posts on our blog and tutorial video channels for Angular DataGrid updates.

Up arrow icon
Chat with us

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The Vue Grid, is a feature-rich control for displaying data in a tabular format. Its wide range of functionalities includes data binding, editing, Excel-like filtering, custom sorting, grouping, row reordering, freezing rows and columns, exporting to Excel, CSV and PDF formats, aggregating rows and more.


Why choose Syncfusion Essential Studio® Vue Grid?

A high performance Vue Grid

High performance

Well thought out efforts, and focuses mainly on fast paced performance to load millions of records in just a second.

Vue Grid seamless data binding

Seamless data binding

Bind data seamlessly with various local and remote data sources such as JSON, OData, WCF, and RESTful web services with the help of data manager.

Vue Grid adapts to any resolution

Adapts to any resolution

DataGrid has a highly responsive layout and an optimized design for desktops, touch screens, and smart phones. It works well on all mobile phones that use iOS, Android, or Windows OS.

Vue Grid flexible editing

Flexible editing

The Vue Grid performs create, read, update, and delete operations (CRUD) more easily with a list of business objects or remote data service with the help of a data manager.

Vue Grid create your own template designs

Create your own template designs

Allows users to create custom user experiences in the Vue Grid based on their application needs using a wide range of template options.

Vue Grid customizable themes

Attractive customizable themes

Cutting-edge design with 5+ built-in themes such as Fluent, Tailwind CSS, Bootstrap, Material, Fabric, and more. Utilize the online Theme Studio tool to customize themes easily.

Vue Grid exporting and printing

Easy export and printing

Export the Data Grid in various file formats, including Excel, PDF, and CSV. Print all the rows, regardless of the number of pages, as well as the currently viewed page.

Vue Grid globalization and localization

Globalization and localization

Enables users from different locales to use them by formatting dates, currency, and numbering to suit preferences.


Vue DataGrid Code Example

Easily get started with the Vue DataGrid using a few simple lines of Vue code as demonstrated below. Also explore our Vue DataGrid Example which shows you how to render and configure a DataGrid in Vue.

  1. <template>
  2. <div class="col-lg-12 control-section">
  3. <div>
  4. <ejs-grid :dataSource="data" >
  5. <e-columns>
  6. <e-column field='OrderID' headerText='Order ID' width='120' textAlign='Right'></e-column>
  7. <e-column field='CustomerName' headerText='Customer Name' width='150'></e-column>
  8. <e-column field='OrderDate' headerText='Order Date' width='130' format="yMd" textAlign='Right'></e-column>
  9. <e-column field='Freight' headerText='Freight' width='120' format='C2' textAlign='Right'></e-column>
  10. <e-column field='ShippedDate' headerText='Shipped Date' width='130' format="yMd" textAlign='Right'></e-column>
  11. <e-column field='ShipCountry' headerText='Ship Country' width='150'></e-column>
  12. </e-columns>
  13. </ejs-grid>
  14. </div>
  15. </div>
  16. </template>
  17.  
  18. <script lang="ts">
  19. import Vue from "vue";
  20. import { GridPlugin } from "@syncfusion/ej2-vue-grids";
  21. import { orderDetails } from "./data-source";
  22.  
  23. Vue.use(GridPlugin);
  24.  
  25. export default Vue.extend({
  26. data: () => {
  27. return {
  28. data: orderDetails.slice(0, 12)
  29. };
  30. }
  31. });
  32. </script>

Vue Data Grid skeleton loading indicator

Skeleton loading indicator

The Data Grid shows the Shimmer effect as a loading indicator while fetching data and binding it to the grid during initial rendering, refreshing, or after performing grid actions like sorting, filtering, grouping, and more. The Data Grid offers two types of loading indicator effects: spinner and shimmer.


Adaptive UI layout

The Data Grid user interface is customized and redesigned for great views and usability on small screens. Its features include filter, sort, search, column chooser, column menu, pager dropdown, and edit dialogs that are adaptive to the screen size and render row elements in a vertical direction.

Vue Data Grid adaptive UI Layout


Vue DataGrid Column

Column

Columns define the schema of the data source in the Data Grid. It supports formatting, auto-generating columns, column definitions, freezing rows and columns, column spanning, text wrapping, column chooser, column menu, and other features.


Paging

Paging is used to view a segment of data from the assigned data source. The Vue Data Grid offers a built-in pager UI with options to customize its entire UI. It also has an on-demand paging mode for effective data retrieval from remote web services.

Vue DataGrid Paging


Vue Grid sorting

Sorting

Sort rows either in ascending or descending order against a column by simply clicking the header. Sort multiple columns’ data by holding the Ctrl key + header click. In addition, define your own custom sorting logic based on the application needs.


Filtering

Filtering helps view particular or related records that meet a given criteria in the data grid. The data grid supports various filter types, including powerful Excel-like filters. Choose the appropriate filter type, define your own custom filtering logic, and customize the filtering UI based on the application’s needs. Diacritic characters can also be filtered.

Vue DataGrid filtering


Vue DataGrid selection

Selection

Select rows or cells using the checkbox or by simply clicking them. Select more than one row or cell by holding Ctrl, Shift, or Command, or programmatically.


Editing

The Vue Data Grid supports create, read, update, and delete operations (CRUD). In addition to built-in editor controls to edit a particular column value, custom editor controls can be created using templates according to the application’s needs. With the help of a data manager, you can perform editing operations with array collection or remote data service.

Vue DataGrid editing


Vue Grid grouping

Grouping

Group rows to display the data in an organized hierarchical structure in ascending or descending order to facilitate easier expansion and collapse of records. There is an option to group records of the desired column by simple drag and drop of that column in an interactive drop area.


Aggregation

Easily visualize the aggregates of the Data Grid column values using the summary option. Aggregates can be customized to show their value in individual summary rows, individual group summary rows, or group caption rows.

Vue DataGrid aggregation


Vue DataGrid with freeze rows and columns

Frozen rows and columns

Frozen rows and columns are visible at the top and on the left, right, both or fixed position of the grid, making the remaining grid content scrollable. It is mainly used to compare cell values in Vue Data Grid.


The Vue Data Grid header has to be in a fixed position when scrolling the document vertically to visualize the data grid content along with the column header.

Vue Data Grid sticky header


Vue Grid row drag and drop

Row drag and drop

The Vue Grid allows you to drag and drop rows to another Data Grid or custom component. You can drag and drop rows within the same Data Grid using the drag icon, as well as transfer rows between different groups.


Master-detail Grid

Vue Master Detail Grid is a use-case scenario in which the record details are viewed in a separate data grid by clicking a particular row.

Vue master detail Grid


Additional features

Vue Data Grid with row height

Row height

Row height is a major factor when displaying the number of records in the viewport, and it is easily customizable based on the application’s UI requirements. It is also possible to set row height conditionally.

Copy to clipboard from Vue Data Grid

Copy to clipboard

The clipboard allows users to copy selected rows or cells’ data into it. Use the Ctrl+C and Ctrl+Shift+H key combinations to copy data with and without headers, respectively.

Vue Data Grid with context menu

Context menu

Performs various actions in a Data Grid using the popup menu that appears when the cell, header, or pager is right-clicked. In addition to built-in default menu items, custom context menu items can be added.

Width and height in Vue Data Grid

Width and height

Set the width and height properties to change the size of the data grid. When the content overflows the grid element, horizontal and vertical scrollbars will appear. To fill the data grid’s parent container, simply set the height and width to 100%.

Vue Data Grid with stacked headers

Stacked headers

Stacked headers allow grouping and visualizing column headers in a stacked manner. The number of columns that can be stacked is unlimited. Perform all Data Grid actions even when the columns are stacked.


Accessibility

Keyboard navigation in Vue DataGrid

Keyboard navigation

The Vue Grid component ensures that every cell is accessible using the keyboard. Major features like sort, select, and edit can be performed using keyboard commands alone; no mouse interaction is required. This helps in creating highly accessible applications using this component.

Accessibility and screen reader support in Vue DataGrid

Screen reader

The Vue Data Grid view has complete WAI-ARIA accessibility support. The data grid UI includes high-contrast visual elements that help visually impaired people to have the best viewing experience. Also, valid UI descriptions are easily accessible through assistive technologies such as screen readers.

Show right-to-left language in Vue DataGrid

Right to left (RTL)

Right-to-left rendering allows displaying the text and layout of the Data Grid from right to left. This improves the user experience and accessibility for RTL languages.


Mobile-optimized and touch-friendly

The Data Grid component improves usability and provides an optimized and responsive design for desktops, touchscreens, and phones across all operating systems, including iOS, Android, and Windows.

Touch support in Vue DataGrid

Touch support

User-friendly touch gestures and an interactive UI design provide the best user experience. All Data Grid features work on touch devices with zero configuration.

Responsive pager UI in Vue DataGrid

Responsive pager

The Data Grid pager acts intelligently and changes its complete UI responsively based on the dimension. Its optimized design provides the best UI interaction on different devices.

Other supported frameworks

DataGrid is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different DataGrid platforms from the links below,

Supported browsers

The Vue Data Grid works well with all modern web browsers such as Chrome, Firefox, Microsoft Edge, Safari, and Opera.

Supported browsers in Vue DataGrid

90+ VUE UI COMPONENTS

Frequently Asked Questions

  • Load millions of records in just a second.
  • Mobile-first design that adapts to any resolution.
  • Flexible data binding with support to use local and remote data sources such as JSON, RESTful services, OData services, and WCF services.
  • Flexible editing and intuitive record selection modes.
  • Out-of-the-box Excel-like filtering and grouping options.
  • Countless column customizations and data summaries.
  • Seamless data exporting options like PDF, and Excel.
  • One of the best Vue DataGrid in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Expansive learning resources such as demos, and documentation and videos to learn quickly and get started with Vue DataGrid.

We do not sell the Vue DataGrid separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Vue DataGrid. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Vue Grid demo, which demonstrates how to render and configure the Grid.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Vue DataGrid, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their DataGrid component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us